Uploaded image for project: 'Solr'
  1. Solr
  2. SOLR-12894

Solr documention for Java Vendors

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: documentation
    • Labels:
      None

      Description

      I was asked a question recently - "Is using OpenJDK safe with Solr 7.4" . To which my answer was yes . This was after I checked with Steve on which OpenJDK version runs on his jenkins

      For refrerence it currently uses -

      openjdk version "1.8.0_171"
      OpenJDK Runtime Environment (build 1.8.0_171-8u171-b11-1~bpo8+1-b11)
      OpenJDK 64-Bit Server VM (build 25.171-b11, mixed mode)

       

      Solr's ref guide (  https://lucene.apache.org/solr/guide/installing-solr.html#got-java ) mentions using Oracle 1.8 or higher .

       

      We should mention that both Oracle JDKs and Open JDKs are tested. Perhaps even have a compatibility matrix

       

      Also we should note that Java 9 and 10 are short term releases . Hence remove wording that using Java8+ with more spefic versions.

        Attachments

        1. SOLR-12894.patch
          3 kB
          Varun Thacker
        2. SOLR-12894.patch
          2 kB
          Varun Thacker

          Issue Links

            Activity

              People

              • Assignee:
                erickerickson Erick Erickson
                Reporter:
                varun Varun Thacker
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: